### Constructor

# GioUnix InputStream new

#### Declaration

    GInputStream*
    g_unix_input_stream_new (
      gint fd,
      gboolean close_fd
    )

#### Description

Creates a new `GUnixInputStream` for the given `fd`.

If `close_fd` is `TRUE`, the file descriptor will be closed when the stream is closed.

#### Parameters

`fd`

  Type: `gint`

  A UNIX file descriptor.

`close_fd`

  Type: `gboolean`

  `TRUE` to close the file descriptor when done.

#### Return value

Type: `GInputStream`

A new `GUnixInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.